> For the complete documentation index, see [llms.txt](https://docs-old.telematicssdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-old.telematicssdk.com/sdk-installation/android-sdk-installation/setup-and-enabling-sdk/set-up-your-development-environment.md).

# \*Set up Your Development Environment

To always link to the most recent version, link to the Raxel Pulse Android SDK with [Maven](https://maven.apache.org/) rather than downloading the SDK itself.

**Since SDK v.2.0.48 you need to migrate your App dependencies to use** **AndroidX**

Your module build.gradle file for SDK **>=** v. **2.0.58**

```scala
maven {
    url "https://s3.us-east-2.amazonaws.com/android.telematics.sdk.production/"
}
```

```scala
implementation "com.telematicssdk:tracking:x.x.x"

```

�Your module build.gradle file for SDK < v. **2.0.58**

```scala
repositories {
    ...
    maven {
        url "s3://s3.raxeltelematics.com"
        credentials(AwsCredentials) {
            accessKey "AKIAIJC3ZQKYCFAC2BPA"
            secretKey "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"
        }
    }
}
```

```scala
dependencies {
  ...
  implementation 'com.raxel.tracking:sdk:x.x.x'
}
```

**Latest release you can check on** [**Changelog page**](/sdk-installation/changelog/android-changelog.md)

**Proguard:**

```
-keep public class com.raxeltelematics.** {*;}
```

**For the new versions of the SDK you can face an issue like this:**&#x20;

`Annotation processors must be explicitly declared now. The following dependencies on the compile classpath are found to contain annotation processor. Please add them to the annotationProcessor configuration.`\
&#x20;`- classes.jar (com.telematicssdk:tracking:x.x.xxx)`\
\
`Alternatively, set android.defaultConfig.javaCompileOptions.annotationProcessorOptions.includeCompileClasspath = true to continue with previous behavior.  Note that this option is deprecated and will be removed in the future`

To resolve this issue just update your `gradle` version or specify this parameter in the `build.gradle` file of the app:

```scala
android {
  .....
   defaultConfig {
    .....
    javaCompileOptions.annotationProcessorOptions.includeCompileClasspath = true
   }
  .....
  }

```

**Supported Android versions**

Minimum supported Android SDK version is **18**. Target version is **30**

```scala
...
defaultConfig {
        minSdkVersion 18
        targetSdkVersion 30
        ...
}
...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-old.telematicssdk.com/sdk-installation/android-sdk-installation/setup-and-enabling-sdk/set-up-your-development-environment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
